FF3 ? Rated 2 out of 5 stars

logged on but version 0.0.2 won't install to FF3 pop-up says not compatible ???

This review is for a previous version of the add-on (0.0.2).